Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 684776 - <app-text/sigil-0.9.15 depends on deprecated dev-qt/qtwebkit:5
Summary: <app-text/sigil-0.9.15 depends on deprecated dev-qt/qtwebkit:5
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Arthur Zamarin
URL: https://github.com/Sigil-Ebook/Sigil/...
Whiteboard:
Keywords: PullRequest, UPSTREAM
Depends on:
Blocks: qtwebkit-removal
  Show dependency tree
 
Reported: 2019-04-29 21:07 UTC by Andreas Sturmlechner
Modified: 2019-07-21 12:00 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2019-04-29 21:07:03 UTC
Fortunately, upstream has an 'engine' branch they are working on.
Comment 1 Arthur Zamarin 2019-06-11 05:03:22 UTC
As stated in the release page of v0.9.14, it is the last version to support QtWebKit. Will wait for next release to update to QtWebEngine.
Comment 2 Andreas Sturmlechner gentoo-dev 2019-07-13 10:07:10 UTC
0.9.15 released: https://github.com/Sigil-Ebook/Sigil/releases
Comment 3 Larry the Git Cow gentoo-dev 2019-07-21 11:58:48 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3969890de1f60c379ccf98332b77a389af7a01bc

commit 3969890de1f60c379ccf98332b77a389af7a01bc
Author:     Zamarin Arthur <arthurzam@gmail.com>
AuthorDate: 2019-07-21 05:44:15 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2019-07-21 11:58:34 +0000

    app-text/sigil: bump v0.9.16
    
    Bug: https://bugs.gentoo.org/684776
    Package-Manager: Portage-2.3.69, Repoman-2.3.16
    Signed-off-by: Zamarin Arthur <arthurzam@gmail.com>
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 app-text/sigil/Manifest            |  1 +
 app-text/sigil/sigil-0.9.16.ebuild | 96 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 97 insertions(+)